Name:           deepin-editor
Version:        6.5.13
Release:        %autorelease
Summary:        Text editor for DDE
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-editor
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}
BuildRequires:  cmake(Qt6LinguistTools)

BuildRequires:  cmake(Dtk6Widget)
BuildRequires:  cmake(Dtk6Core)
BuildRequires:  cmake(KF6SyntaxHighlighting)
BuildRequires:  cmake(KF6Codecs)
BuildRequires:  cmake(DFrameworkdbus)

BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(chardet)
BuildRequires:  uchardet-devel

BuildRequires:  desktop-file-utils

Recommends:     deepin-manual

%description
Deepin Editor is a desktop text editor that supports common text editing
features.

%prep
%autosetup -p1

#sed -i 's|lrelease|lrelease-qt5|; s|lupdate|lupdate-qt5|' translate_generation.sh

%build
%cmake -GNinja
%cmake_build

%install
%cmake_install
%find_lang deepin-editor --with-qt --all-name
rm %{buildroot}%{_datadir}/deepin-editor/translations/deepin-editor.qm

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f deepin-editor.lang
%doc README.md
%license LICENSE.txt
%{_bindir}/deepin-editor
%{_datadir}/applications/deepin-editor.desktop
%{_datadir}/icons/hicolor/scalable/apps/deepin-editor.svg
%dir %{_datadir}/deepin-editor
%dir %{_datadir}/deepin-editor/org.kde.syntax-highlighing
%{_datadir}/deepin-editor/org.kde.syntax-highlighing/syntax/vbscript.xml
%dir %{_datadir}/deepin-editor/themes
%{_datadir}/deepin-editor/themes/*.theme
%{_datadir}/deepin-manual/manual-assets/application/deepin-editor/
%{_datadir}/dsg/configs/org.deepin.editor/org.deepin.editor.json

%changelog
%autochangelog
